# Canada

### Required fields

| Field                  | Format                                                                                                                | Description                                         |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `login`                | String                                                                                                                | Cashouts login                                      |
| `pass`                 | String                                                                                                                | Cashouts pass                                       |
| `external_id`          | String (max length: 100)                                                                                              | Transaction's ID on your end                        |
| `document_id`          | See [document validations](#document-validations)                                                                     | Beneficiary's document ID                           |
| `country`              | `CA`                                                                                                                  | The country codes are in ISO 3166-1 alpha-2 format. |
| `currency`             | `CAD` / `USD`                                                                                                         | The currencies are in ISO 4217 format.              |
| `amount`               | Number with up to 2 decimals                                                                                          | Cashout amount                                      |
| `bank_code`            | [Valid](/guides/cashouts/countries-validations/american-countries/canada.md#bank-codes) bank code                     | Code specifying the beneficiary's bank              |
| `bank_account`         | [Valid](/guides/cashouts/countries-validations/american-countries/canada.md#bank-account-validations) bank account    | Beneficiary's bank account                          |
| `bank_branch`          | [Valid](/guides/cashouts/countries-validations/american-countries/canada.md#bank-branch-validations) institute number | Beneficiary's institute number                      |
| `email`                | [Valid](/guides/knowledge-base/countries-specifications.md#emails-validations) email address                          | Beneficiary's email address                         |
| `beneficiary_name`     | String (max length: 100)                                                                                              | Beneficiary's name                                  |
| `beneficiary_lastname` | String (max length: 100)                                                                                              | Beneficiary's last name                             |

### bank\_account validations

Use the Regex below to validate the bank accounts on your end.

| Bank name | Bank code | Format                                                          | Regex        | Example      |
| --------- | :-------: | --------------------------------------------------------------- | ------------ | ------------ |
| Etransfer |   10000   | For Etransfer, the bank\_account must come empty: "" (Not null) | `^$`         |              |
| Others    |     -     | Numeric between 3 and 16 digits.                                | `^\d{3,16}$` | 738746356473 |

### `bank_branch` Validations

Use the Regex below to validate the valid (and invalid) bank branches on your end.

<table><thead><tr><th width="119.234375">Bank name</th><th width="121.16015625" align="center">Bank code</th><th width="289.69921875">Format</th><th width="125.1484375">Regex</th><th width="100">Example</th></tr></thead><tbody><tr><td>Etransfer</td><td align="center">10000</td><td>For Etransfer, the bank_branch must come empty: "" (not null)</td><td><code>^$</code></td><td></td></tr><tr><td>Others</td><td align="center">-</td><td>String of 5 characters</td><td><code>^[\s\S]{5}$</code></td><td>12345</td></tr></tbody></table>

### `email` validations

<table><thead><tr><th width="150.23046875">Bank name</th><th width="145.83203125" align="center">Bank code</th><th width="143.94140625" align="center">Required</th><th>Example</th></tr></thead><tbody><tr><td>Etransfer</td><td align="center">10000</td><td align="center">Yes</td><td>johnSmith1@gmail.com</td></tr><tr><td>Others</td><td align="center">-</td><td align="center">No</td><td>-</td></tr></tbody></table>

### `document` validations

<table><thead><tr><th width="222.45703125">Document type</th><th>Format</th></tr></thead><tbody><tr><td>HC (Health Card)</td><td>Numeric. Length 10</td></tr><tr><td>PASS (Passport)</td><td>Length between 8 and 12 inclusive</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="Etransfer" %}

```json
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CA",
    "currency": "CAD",
    "amount": 100,
    "document_id": "5676586998",
    "bank_account": "",
    "bank_code": "10000",
    "bank_branch": "",
    "email": "johnSmith@gmail.com",
    "beneficiary_name": "John",
    "beneficiary_lastname": "Smith",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Banks" %}

```json
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CA",
    "currency": "CAD",
    "amount": 100,
    "document_id": "5676586998",
    "bank_account": "38749027362",
    "bank_code": "001",
    "bank_branch": "12345",
    "email": "johnSmith@gmail.com",
    "beneficiary_name": "John",
    "beneficiary_lastname": "Smith",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}
{% endtabs %}

### Bank codes

{% hint style="info" %}

### **Approval times**

* **Etransfer approval time:** Up to one business day
* **Banks approval time:** Up to four business days
  {% endhint %}

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/VNE8t2FopKfzgQzTjlBb/pages/kD1eu0r7kuzS2nEDm1N9" class="button primary">Get bank codes</a>
{% endhint %}

| Bank Name                                                               | Code  |
| ----------------------------------------------------------------------- | ----- |
| Etransfer                                                               | 10000 |
| BANK OF MONTREAL                                                        | 001   |
| THE BANK OF NOVA SCOTIA                                                 | 002   |
| ROYAL BANK OF CANADA                                                    | 003   |
| THE TORONTO-DOMINION BANK                                               | 004   |
| BANQUE NATIONALE DU CANADA                                              | 006   |
| CANADIAN IMPERIAL BANK OF COMMERCE                                      | 010   |
| HSBC BANK CANADA                                                        | 016   |
| CANADIAN WESTERN BANK                                                   | 030   |
| BANQUE LAURENTIENNE DU CANADA                                           | 039   |
| BANK OF CANADA                                                          | 177   |
| CANADA SAVINGS BOND REDEMPTION CERTIFICATE                              | 187   |
| ATB FINANCIAL                                                           | 219   |
| BANK OF AMERICA NATIONAL ASSOCIATION                                    | 241   |
| THE BANK OF NEW YORK MELLON                                             | 242   |
| THE BANK OF TOKYO-MITSUBISHI UFJ LTD                                    | 245   |
| BARCLAYS BANK OF CANADA                                                 | 248   |
| BNP PARIBAS                                                             | 250   |
| CITIBANK CANADA                                                         | 260   |
| DEUTSCHE BANK AG                                                        | 265   |
| MEGA INTERNATIONAL COMMERCIAL BANK (CANADA)                             | 269   |
| JPMORGAN CHASE BANK, NATIONAL ASSOCIATION                               | 270   |
| KEB HANA BANK CANADA                                                    | 275   |
| MIZUHO CORPORATE BANK LTD CANADA BRANCH                                 | 277   |
| NATIONAL BANK OF GREECE (CANADA)                                        | 286   |
| UBS BANK (CANADA)                                                       | 290   |
| SBI CANADA BANK                                                         | 294   |
| SUMITOMO MITSUI BANKING CORPORATION CAN.                                | 301   |
| AMEX BANK OF CANADA                                                     | 303   |
| INDUSTRIAL AND COMMERCIAL BANK OF CHINA                                 | 307   |
| BANK OF CHINA (CANADA)                                                  | 308   |
| CITIZENS BANK OF CANADA                                                 | 309   |
| FIRST NATIONS BANK OF CANADA                                            | 310   |
| BOFA CANADA BANK                                                        | 311   |
| JP MORGAN BANK CANADA                                                   | 314   |
| CTBC BANK CORP. (CANADA)                                                | 315   |
| HABIB CANADIAN BANK                                                     | 321   |
| CAPITAL ONE BANK (CANADA BRANCH)                                        | 323   |
| STATE STREET                                                            | 327   |
| CITIBANK, NA                                                            | 328   |
| COMERICA BANK                                                           | 330   |
| FIRST COMMERCIAL BANK                                                   | 332   |
| VERSABANK                                                               | 334   |
| UNITED OVERSEAS BANK LIMITED                                            | 335   |
| CANADIAN TIRE BANK                                                      | 338   |
| ICICI BANK CANADA                                                       | 340   |
| ZAG BANK                                                                | 342   |
| HOLLIS CANADIAN BANK                                                    | 343   |
| SOCIETE GENERALE (CANADA BRANCH)                                        | 346   |
| DIRECTCASH BANK                                                         | 352   |
| SHINHAN BANK CANADA                                                     | 355   |
| HOME BANK                                                               | 361   |
| WELLS FARGO BANK NA CANADIAN BRANCH                                     | 362   |
| CHINA CONTRUCTION BANK (TORONTO BRANCH)                                 | 366   |
| WEALTH ONE BANK OF CANADA                                               | 370   |
| BANK OF CHINA (TORONTO BRANCH)                                          | 372   |
| TRUST GENERAL INC                                                       | 506   |
| COMMUNITY TRUST COMPANY LTD                                             | 507   |
| THE CANADA TRUST COMPANY                                                | 509   |
| TRUST LA LAURENTIENNE                                                   | 522   |
| THE EFFORT TRUST COMPANY                                                | 532   |
| HOME SAVINGS AND LOAN CORPORATION                                       | 535   |
| INVESTORS GROUP TRUST COMPANY LTD                                       | 536   |
| MANULIFE BANK OF CANADA                                                 | 540   |
| MONTREAL TRUST COMPANY                                                  | 544   |
| MENNONITE TRUST LIMITED                                                 | 547   |
| CIBC TRUST CORPORATION                                                  | 548   |
| MONTREAL TRUST COMPANY OF CANADA                                        | 550   |
| SUN LIFE FINANCIAL TRUST INC.                                           | 551   |
| PEACE HILLS TRUST COMPANY                                               | 568   |
| ROYAL TRUST COMPANY (THE)                                               | 570   |
| ROYAL TRUST COMPANY (THE)                                               | 580   |
| NATIONAL TRUST COMPANY                                                  | 590   |
| CS ALTERNA BANK                                                         | 608   |
| TANGERINE BANK                                                          | 614   |
| B2B BANK                                                                | 618   |
| PEOPLES TRUST COMPANY                                                   | 621   |
| EQUITABLE BANK                                                          | 623   |
| MANULIFE TRUST COMPANY                                                  | 626   |
| THE TORONTO-DOMINION BANK                                               | 715   |
| LATVIAN CREDIT UNION LTD                                                | 803   |
| DUCA FINANCIAL SERVICES CREDIT UNION LTD                                | 806   |
| CENTRAL 1 CREDIT UNION                                                  | 809   |
| ALL TRANS FINANCIAL SERVICES CREDIT UNION LTD                           | 810   |
| AAA GROUP CLEARER NOT UNIQUE                                            | 815   |
| CAISSE FINANCIAL GROUP                                                  | 819   |
| CREDIT UNIONS IN NOVA SCOTIA                                            | 821   |
| CENTRAL 1 CREDIT UNION                                                  | 828   |
| FEDERATION DES CAISSES POPULAIRES DE L'ONTARIO                          | 829   |
| CREDIT UNIONS IN NEW BRUNSWICK                                          | 831   |
| COMMUNITY FIRST - A DIVISION OF YOUR NEIGHBOURHOOD CREDIT UNION LIMITED | 834   |
| CAISSE POPULAIRE DE KAPUSKASING LIMITEE                                 | 836   |
| MERIDIAN CREDIT UNION LIMITED                                           | 837   |
| CREDIT UNION CENTRAL OF NOVA SCOTIA                                     | 839   |
| DUNDALK DISTRICT CREDIT UNION LTD                                       | 840   |
| CREDIT UNIONS IN QUEBEC                                                 | 841   |
| ALTERNA SAVINGS AND CREDIT UNION LTD                                    | 842   |
| RAPPORT CREDIT UNION                                                    | 846   |
| BRUNSWICK CREDIT UNION FEDERATION LTD                                   | 849   |
| CREDIT UNIONS IN ONTARIO                                                | 851   |
| CONCENTRA BANK                                                          | 853   |
| GOLDEN HORSESHOE CREDIT UNION LTD                                       | 854   |
| FEDERATION DES CAISSES POPULAIRES ACADIENNES                            | 865   |
| CREDIT UNION CENTRAL OF MANITOBA                                        | 879   |
| CREDIT UNION CENTRAL OF SASKATCHEWAN                                    | 889   |
| L'ALLIANCE DES CAISSES POPULAIRES DE L'ONTARIO                          | 890   |
| CENTRAL 1 CREDIT UNION ALBERTA                                          | 899   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/canada.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
